Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseDatasetRun

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseDatasetRun

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCloneable, JRDatasetRun

Direct Known Subclasses:
  JRDesignDatasetRun

    public class JRBaseDatasetRun

extends java.lang.Object
implements JRDatasetRun, java.io.Serializable

Base implementation of the `JRDatasetRun` interface.

Version:
  $Id: JRBaseDatasetRun.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRExpression` | `connectionExpression`
`protected java.lang.String` | `datasetName`
`protected JRExpression` | `dataSourceExpression`
`protected JRDatasetParameter[]` | `parameters`
`protected JRExpression` | `parametersMapExpression`

Constructor Summary
`protected` | `JRBaseDatasetRun()` Creates an empty object.
`protected` | `JRBaseDatasetRun(JRDatasetRun datasetRun, JRBaseObjectFactory factory)` Creates a copy of a dataset instantiation.

Method Summary
`java.lang.Object` | `clone()`
`JRExpression` | `getConnectionExpression()` Returns the DB connection expression.
`java.lang.String` | `getDatasetName()` Returns the sub dataset name.
`JRExpression` | `getDataSourceExpression()` Returns the data source expression.
`JRDatasetParameter[]` | `getParameters()` Returns the list of parameter values.
`JRExpression` | `getParametersMapExpression()` Returns the parameters map expression.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### datasetName

    protected java.lang.String datasetName

### parametersMapExpression

    protected JRExpression parametersMapExpression

### parameters

    protected JRDatasetParameter[] parameters

### connectionExpression

    protected JRExpression connectionExpression

### dataSourceExpression

    protected JRExpression dataSourceExpression

Constructor Detail

### JRBaseDatasetRun

    protected JRBaseDatasetRun()

  Creates an empty object.

### JRBaseDatasetRun

    protected JRBaseDatasetRun(JRDatasetRun datasetRun,
                               JRBaseObjectFactory factory)

  Creates a copy of a dataset instantiation.

  Parameters:
    `datasetRun` - the dataset instantiation
    `factory` - the base object factory

Method Detail

### getDatasetName

    public java.lang.String getDatasetName()

  Description copied from interface: `JRDatasetRun`
  Returns the sub dataset name.

  Specified by:
    `getDatasetName` in interface `JRDatasetRun`
  Returns:
    the sub dataset name

### getParametersMapExpression

    public JRExpression getParametersMapExpression()

  Description copied from interface: `JRDatasetRun`
  Returns the parameters map expression.

  The result of this expression is used as the parameters map when instantiating the dataset.

  Specified by:
    `getParametersMapExpression` in interface `JRDatasetRun`
  Returns:
    the parameters map expression

### getParameters

    public JRDatasetParameter[] getParameters()

  Description copied from interface: `JRDatasetRun`
  Returns the list of parameter values.

  Specified by:
    `getParameters` in interface `JRDatasetRun`
  Returns:
    the list of parameter values

### getConnectionExpression

    public JRExpression getConnectionExpression()

  Description copied from interface: `JRDatasetRun`
  Returns the DB connection expression.

  The result of this expression is used as the DB connection when instantiating the dataset.

  Specified by:
    `getConnectionExpression` in interface `JRDatasetRun`
  Returns:
    the DB connection expression

### getDataSourceExpression

    public JRExpression getDataSourceExpression()

  Description copied from interface: `JRDatasetRun`
  Returns the data source expression.

  The result of this expression is used as the data source when instantiating the dataset.

  Specified by:
    `getDataSourceExpression` in interface `JRDatasetRun`
  Returns:
    the data source expression

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com